Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Wed, 14 Jan 2009 15:20:55 +0100

> I think either behavior is acceptable as long as it can be overridden by
 > the user (via special-display-buffer-names).  Reproducing the previous
 > behavior (of ignoring pop-up-frames) is probably the safer option, and
 > it at least would suit my use-pattern better as well (I do have
 > pop-up-frames set to t but would rather not have a new frame created for
 > those dired-lists unless I explicitly set one up in
 > special-display-buffer-names with a specific geometry).

Maybe we should have `special-display-popup-frame' handle yet another
phony parameter, say 'split-window, making it split the selected window
if that is set.

martin